MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027224Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-03-03 14:552017-08-21 15:23
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.1.0 
Summary0027224: Incorrect result of boolean operation in boolean bcut_complex Q1 test case
DescriptionIncorrect result of boolean operation in boolean bcut_complex Q1 test case.

Correct result is attached to goodshape.brep file.
Steps To Reproducetest boolean bcut_complex Q1
test boolean bcommon_complex C7 (uses same source shapes)

Addition script

Draw[]> restore [locate_data_file buc60290a.rle] sol1
Draw[]> restore [locate_data_file buc60290b.rle] sol2
Draw[]> explode sol1 f
Draw[]> explode sol2 f
Draw[]> bsection rr sol2_1 sol1_1
Draw[]> checksection rr
# nb alone Vertices : 2 ==> the section is not closed
TagsNo tags attached.
Test case numberbugs modalg_7 bug27224
Attached Files? file icon goodshape.brep (506,089 bytes) 2016-03-03 14:55

- Relationships

-  Notes
(0069715)
mkv (tester)
2017-08-21 15:23

Problem described in issue is not reproduced on current state of OCCT. Fixed in OCCT7.1.0.

- Issue History
Date Modified Username Field Change
2016-03-03 14:55 nbv New Issue
2016-03-03 14:55 nbv Assigned To => msv
2016-03-03 14:55 nbv File Added: goodshape.brep
2016-03-10 10:37 nbv Steps to Reproduce Updated View Revisions
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-08-21 15:23 mkv Test case number => bugs modalg_7 bug27224
2017-08-21 15:23 mkv Note Added: 0069715
2017-08-21 15:23 mkv Assigned To msv => bugmaster
2017-08-21 15:23 mkv Status new => closed
2017-08-21 15:23 mkv Resolution open => fixed
2017-08-21 15:23 mkv Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker